org.eclipse.aether.util.filter

## Class DependencyFilterUtils

- java.lang.Object
- - org.eclipse.aether.util.filter.DependencyFilterUtils

-     public final class DependencyFilterUtils
      extends Object

  A utility class assisting in the creation of dependency node filters.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static DependencyFilter` | `andFilter(Collection<DependencyFilter> filters)` Creates a new filter that combines the specified filters using a logical `AND`.
    `static DependencyFilter` | `andFilter(DependencyFilter... filters)` Creates a new filter that combines the specified filters using a logical `AND`.
    `static DependencyFilter` | `classpathFilter(Collection<String> classpathTypes)` Creates a new filter that selects dependencies whose scope matches one or more of the specified classpath types.
    `static DependencyFilter` | `classpathFilter(String... classpathTypes)` Creates a new filter that selects dependencies whose scope matches one or more of the specified classpath types.
    `static DependencyFilter` | `notFilter(DependencyFilter filter)` Creates a new filter that negates the specified filter.
    `static DependencyFilter` | `orFilter(Collection<DependencyFilter> filters)` Creates a new filter that combines the specified filters using a logical `OR`.
    `static DependencyFilter` | `orFilter(DependencyFilter... filters)` Creates a new filter that combines the specified filters using a logical `OR`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### notFilter

          public static DependencyFilter notFilter(DependencyFilter filter)

      Creates a new filter that negates the specified filter.
      Parameters:
        `filter` - The filter to negate, must not be `null`.
      Returns:
        The new filter, never `null`.

    - #### andFilter

          public static DependencyFilter andFilter(DependencyFilter... filters)

      Creates a new filter that combines the specified filters using a logical `AND`. If no filters are specified, the resulting filter accepts everything.
      Parameters:
        `filters` - The filters to combine, may be `null`.
      Returns:
        The new filter, never `null`.

    - #### andFilter

          public static DependencyFilter andFilter(Collection<DependencyFilter> filters)

      Creates a new filter that combines the specified filters using a logical `AND`. If no filters are specified, the resulting filter accepts everything.
      Parameters:
        `filters` - The filters to combine, may be `null`.
      Returns:
        The new filter, never `null`.

    - #### orFilter

          public static DependencyFilter orFilter(DependencyFilter... filters)

      Creates a new filter that combines the specified filters using a logical `OR`. If no filters are specified, the resulting filter accepts nothing.
      Parameters:
        `filters` - The filters to combine, may be `null`.
      Returns:
        The new filter, never `null`.

    - #### orFilter

          public static DependencyFilter orFilter(Collection<DependencyFilter> filters)

      Creates a new filter that combines the specified filters using a logical `OR`. If no filters are specified, the resulting filter accepts nothing.
      Parameters:
        `filters` - The filters to combine, may be `null`.
      Returns:
        The new filter, never `null`.

    - #### classpathFilter

          public static DependencyFilter classpathFilter(String... classpathTypes)

      Creates a new filter that selects dependencies whose scope matches one or more of the specified classpath types. A classpath type is a set of scopes separated by either `','` or `'+'`.
      Parameters:
        `classpathTypes` - The classpath types, may be `null` or empty to match no dependency.
      Returns:
        The new filter, never `null`.
      See Also:
        `JavaScopes`

    - #### classpathFilter

          public static DependencyFilter classpathFilter(Collection<String> classpathTypes)

      Creates a new filter that selects dependencies whose scope matches one or more of the specified classpath types. A classpath type is a set of scopes separated by either `','` or `'+'`.
      Parameters:
        `classpathTypes` - The classpath types, may be `null` or empty to match no dependency.
      Returns:
        The new filter, never `null`.
      See Also:
        `JavaScopes`

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.